Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 230824 - mock 0.6.12 won't accept --no-clean
Summary: mock 0.6.12 won't accept --no-clean
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora Hosted Projects
Classification: Retired
Component: mock
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Clark Williams
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-03 05:52 UTC by Mamoru TASAKA
Modified: 2013-01-10 04:12 UTC (History)
4 users (show)

Fixed In Version: mock-0.9.7-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-02-28 23:23:48 UTC


Attachments (Terms of Use)

Description Mamoru TASAKA 2007-03-03 05:52:28 UTC
Description of problem:
mockbuild with --no-clean by mock 0.6.12 immediately
stops with the following error.

Version-Release number of selected component (if applicable):
mock-0.6.12-1.fc7
yum-3.1.2-1.fc7

How reproducible:
100%

Steps to Reproduce:
1. rebuild some srpm by mockbuild with --no-clean option
2.
3.
  
Actual results:
DEBUG: ensuring dir /var/lib/mock/fedora-development-i386-core
DEBUG: ensuring dir /var/lib/mock/fedora-development-i386-core/root
DEBUG: ensuring dir /var/lib/mock/fedora-development-i386-core/state
DEBUG: ensuring dir /var/lib/mock/
DEBUG: ensuring dir /var/lib/mock/fedora-development-i386-core/root/var/lib/rpm
DEBUG: ensuring dir /var/lib/mock/fedora-development-i386-core/root/var/log
DEBUG: ensuring dir /var/lib/mock/fedora-development-i386-core/root/var/lock/rpm
DEBUG: ensuring dir /var/lib/mock/fedora-development-i386-core/root/dev
DEBUG: ensuring dir /var/lib/mock/fedora-development-i386-core/root/etc/rpm
DEBUG: ensuring dir /var/lib/mock/fedora-development-i386-core/root/tmp
DEBUG: ensuring dir /var/lib/mock/fedora-development-i386-core/root/var/tmp
DEBUG: ensuring dir /var/lib/mock/fedora-development-i386-core/root/etc/yum.repos.d
DEBUG: ensuring dir /var/lib/mock/fedora-development-i386-core/root/proc
DEBUG: mounting proc in /var/lib/mock/fedora-development-i386-core/root/proc
DEBUG: Executing /usr/sbin/mock-helper mount -t proc proc
/var/lib/mock/fedora-development-i386-core/root/proc
DEBUG: ensuring dir /var/lib/mock/fedora-development-i386-core/root/dev/pts
DEBUG: mounting devpts in /var/lib/mock/fedora-development-i386-core/root/dev/pts
DEBUG: Executing /usr/sbin/mock-helper mount -t devpts devpts
/var/lib/mock/fedora-development-i386-core/root/dev/pts
DEBUG: Executing /usr/sbin/mock-helper chroot
/var/lib/mock/fedora-development-i386-core/root /sbin/runuser - root -c "chown
500.500 /etc/yum.conf"
DEBUG: ensuring dir /var/lib/mock/fedora-development-i386-core/root/etc/yum
Traceback (most recent call last):
  File "/usr/bin/mock", line 1046, in <module>
    main()
  File "/usr/bin/mock", line 1043, in main
    do_rebuild(config_opts, srpms)
  File "/usr/bin/mock", line 910, in do_rebuild
    my.prep()
  File "/usr/bin/mock", line 254, in prep
    self._prep_install()
  File "/usr/bin/mock", line 659, in _prep_install
    os.symlink('../yum.conf', os.path.join(yumdir, 'yum.conf'))
OSError: [Errno 17] File exists

Expected results:
mockbuild proceeds...

Additional info:
yum-3.1.3-1.fc7 is broken and currently I use downgraded
yum 3.1.2

Comment 1 Mamoru TASAKA 2007-03-03 05:58:21 UTC
mock 0.6.11 doesn't seem to have this problem.

Comment 2 Clark Williams 2007-03-25 15:08:48 UTC
Fixed by removed existing file before symlinking. Next release will contain this
fix.


Comment 3 Mamoru TASAKA 2007-04-03 05:02:25 UTC
Well, 

(In reply to comment #2)
> Fixed by removed existing file before symlinking. Next release will contain this
> fix.
> 

Then when will you really push the _NEXTVERSION_ mock?
Current rawhide mock is still 0.6.12.

Is this bug supposed to be fixed before FC-7?

Comment 4 Clark Williams 2007-04-03 13:59:47 UTC
0.6.14 is in queue to be pushed

Comment 5 Peter Gordon 2007-05-31 02:50:18 UTC
(In reply to comment #4)
> 0.6.14 is in queue to be pushed

Hi, Clark. 

This problem still persists in Fedora Development (as of 20070530); and the
current repository version is still 0.6.12, which is broken with this error.
Will you please push 0.6.14 as an update soon?

Thanks.



Comment 6 Clark Williams 2007-06-04 16:05:07 UTC
Back from Alaska cruise (didn't have connectivity). I suspect that pushing the
latest version got lost in the core+extras shuffle. I'll get with Jesse today
and see if we can straighten it out quickly.

Clark

Comment 7 Clark Williams 2008-02-28 23:23:48 UTC
the --no-clean option works in mock-0.8+




Note You need to log in before you can comment on or make changes to this bug.